Bug 1718540 - Review Request: davs2 - An open-source decoder of AVS2-P2/IEEE1857.4 video coding standard [NEEDINFO]
Summary: Review Request: davs2 - An open-source decoder of AVS2-P2/IEEE1857.4 video co...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-06-08 12:16 UTC by Simone Caronni
Modified: 2019-08-18 08:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
negativo17: needinfo? (extras-qa)


Attachments (Terms of Use)

Description Simone Caronni 2019-06-08 12:16:18 UTC
Spec URL: https://slaanesh.fedorapeople.org/davs2.spec
SRPM URL: https://slaanesh.fedorapeople.org/davs2-1.6-1.fc30.src.rpm
Description: davs2 is an open-source decoder of AVS2-P2/IEEE1857.4 video coding standard.
Fedora Account System Username: slaanesh

Comment 1 Simone Caronni 2019-06-08 12:17:01 UTC
$ rpmlint *rpm
davs2.x86_64: W: no-documentation
davs2.x86_64: W: no-manual-page-for-binary davs2
davs2-libs.x86_64: W: no-documentation
davs2-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/davs2-libs/COPYING

Comment 2 Simone Caronni 2019-06-09 05:54:13 UTC
%ldconfig_scriptlets are in the spec file as I plan to also build for EPEL 7.

Comment 3 Simone Caronni 2019-06-09 07:27:17 UTC
(In reply to Simone Caronni from comment #1)
> $ rpmlint *rpm
> davs2.x86_64: W: no-documentation
> davs2.x86_64: W: no-manual-page-for-binary davs2
> davs2-libs.x86_64: W: no-documentation
> davs2-libs.x86_64: E: incorrect-fsf-address
> /usr/share/licenses/davs2-libs/COPYING

Just noticed that binaries with execstack forcibly disabled do not work. execstack is explicitly enabled on all architectures at configure time (see build/linux/configure):

$ rpmlint *rpm
davs2.x86_64: W: executable-stack /usr/bin/davs2
davs2.x86_64: W: no-documentation
davs2.x86_64: W: no-manual-page-for-binary davs2
davs2-libs.x86_64: W: executable-stack /usr/lib64/libdavs2.so.16
davs2-libs.x86_64: W: no-documentation
davs2-libs.x86_64: E: incorrect-fsf-address /usr/share/licenses/davs2-libs/COPYING
7 packages and 0 specfiles checked; 1 errors, 5 warnings.

Comment 4 Robert-André Mauchin 2019-06-09 14:27:42 UTC
According to https://en.m.wikipedia.org/wiki/Audio_Video_Standard

this standard is patented:

AVS Patent Pool Management Committee

In the aspect of intellectual property management, AVS established a "Patent Pool" management mechanism, with the management and authorization of the patent pool in charge of “AVS Patent Pool Management Committee”, an independent corporate association founded in September 20, 2004. The committee is also the first "Patent Pool" management institution in China. Relying on the independent corporate association “Beijing Haidian District Digital Audio and Video Standard Promotion Center” registered in the Civil Affairs Bureau of Haidian District of Beijing City, it set up one-stop, low-cost patent authorization principles and management rules [4] for patent technologies included in the standard, as the expert committee and the main business decision-making institution of the promotion center. The royalty for the first generation AVS standard is only charged one-yuan per terminal, and the same mode will be adopted for the second generation, to charge a small amount of royalty only for the terminal, excluding the contents, as well as software services on the Internet. 

I'm not sure this would be eligible to be in Fedora. Asking FE-Legal opinion on this.

Comment 5 Simone Caronni 2019-06-09 17:21:58 UTC
Ok, thanks. Encoder of the same thing is here, I've also added it to fe-legal:

https://bugzilla.redhat.com/show_bug.cgi?id=1718575

Comment 6 Simone Caronni 2019-06-10 07:34:14 UTC
Just wanted to say that both davs2 and xavs2 are in Debian.

Comment 7 Simone Caronni 2019-07-03 05:04:37 UTC
Any news on the legal front for this? More than 3 weeks have passed.

Thanks.

Comment 8 Simone Caronni 2019-08-18 08:39:12 UTC
How can I unblock this? It has been pending legal for 2 months.
I'm not even sure who to ping.

Thanks.


Note You need to log in before you can comment on or make changes to this bug.